networks:
  default:
    name: deminet
    external: true
services:
  # flower:
  #   image: mher/flower
  #   container_name: scale-flower
  #   hostname: flower
  #   environment:
  #     - FLOWER_UNAUTHENTICATED_API=1
  #   command: celery --broker amqp://guest:guest@rabbitmq// flower --broker_api=http://guest:guest@localhost:15672/api/
  #   ports:
  #     - 5555:5555
  #   extra_hosts:
  #       - "host.docker.internal:host-gateway"
  #       - "${HOST}:host-gateway"

  # rabbitmq:
  #   image: rabbitmq:3-management-alpine
  #   container_name: scale-rabbitmq
  #   hostname: rabbitmq
  #   ports:
  #     - "5672:5672"
  #     - "15672:15672"
  #   extra_hosts:
  #       - "host.docker.internal:host-gateway"
  #       - "${HOST}:host-gateway"

  redis:
    container_name: redis
    hostname: redis
    image: redis
    restart: unless-stopped
    ports:
      - "6379:6379"
    extra_hosts:
        - "host.docker.internal:host-gateway"
        - "${HOST}:host-gateway"

  redis-commander:
    container_name: redis-commander
    hostname: redis-commander
    image: ghcr.io/joeferner/redis-commander:latest
    restart: unless-stopped
    environment:
      - REDIS_HOSTS=local:redis:6379
    ports:
      - "8081:8081"
    extra_hosts:
        - "host.docker.internal:host-gateway"
        - "${HOST}:host-gateway"